org.apache.hadoop.mapred

## Class JobQueueInfo

- java.lang.Object
- - org.apache.hadoop.mapreduce.QueueInfo
  - - org.apache.hadoop.mapred.JobQueueInfo

- All Implemented Interfaces:
    org.apache.hadoop.io.Writable

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class JobQueueInfo
      extends QueueInfo

  Class that contains the information regarding the Job Queues which are maintained by the Hadoop Map/Reduce framework.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobQueueInfo()` Default constructor for Job Queue Info.
    `JobQueueInfo(String queueName, String schedulingInfo)` Construct a new JobQueueInfo object using the queue name and the scheduling information passed.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<JobQueueInfo>` | `getChildren()`
    `String` | `getQueueState()` Deprecated.
    `void` | `setChildren(List<JobQueueInfo> children)`
    `void` | `setJobStatuses(JobStatus[] stats)`
    `void` | `setProperties(Properties props)`
    `void` | `setQueueName(String queueName)` Set the queue name of the JobQueueInfo
    `void` | `setQueueState(String state)` Set the state of the queue
    `void` | `setSchedulingInfo(String schedulingInfo)` Set the scheduling information associated to particular job queue

    - ### Methods inherited from class org.apache.hadoop.mapreduce.QueueInfo

      `getJobStatuses, getProperties, getQueueChildren, getQueueName, getSchedulingInfo, getState, readFields, setQueueChildren, setState, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobQueueInfo

          public JobQueueInfo()

      Default constructor for Job Queue Info.

    - #### JobQueueInfo

          public JobQueueInfo(String queueName,
                              String schedulingInfo)

      Construct a new JobQueueInfo object using the queue name and the scheduling information passed.
      Parameters:
        `queueName` - Name of the job queue
        `schedulingInfo` - Scheduling Information associated with the job queue

  - ### Method Detail

    - #### setQueueName

          @InterfaceAudience.Private
          public void setQueueName(String queueName)

      Set the queue name of the JobQueueInfo
      Overrides:
        `setQueueName` in class `QueueInfo`
      Parameters:
        `queueName` - Name of the job queue.

    - #### setSchedulingInfo

          @InterfaceAudience.Private
          public void setSchedulingInfo(String schedulingInfo)

      Set the scheduling information associated to particular job queue
      Overrides:
        `setSchedulingInfo` in class `QueueInfo`
      Parameters:
        `schedulingInfo` -

    - #### setQueueState

          @InterfaceAudience.Private
          public void setQueueState(String state)

      Set the state of the queue
      Parameters:
        `state` - state of the queue.

    - #### getQueueState

          @Deprecated
          public String getQueueState()

      Deprecated.
      Use getState() instead

    - #### setChildren

          @InterfaceAudience.Private
          public void setChildren(List<JobQueueInfo> children)

    - #### getChildren

          public List<JobQueueInfo> getChildren()

    - #### setProperties

          @InterfaceAudience.Private
          public void setProperties(Properties props)

      Overrides:
        `setProperties` in class `QueueInfo`

    - #### setJobStatuses

          @InterfaceAudience.Private
          public void setJobStatuses(JobStatus[] stats)

      Overrides:
        `setJobStatuses` in class `QueueInfo`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.